package com.huimv.getdata.mapper;

import com.huimv.getdata.entity.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2025-01-03
 */
public interface ErpBdDepartmentMapper extends BaseMapper<ErpBdDepartment> {

    List<ErpBdDepartment> getDep();

    List<ErpBdMaterial> getMaterial();


    List<ErpMaterial> getMaterialDetail(@Param("fnumber") String fnumber );

    List<ErpMaterial> getReagent();

    List<ErpQuali> getQuail();


    List<ErpQualiQm> getQuailIbit();

    List<ErpBdMaterial> getMaterialRaw();
}
